#= Makefile for dcpam/src/util
#
# Authors::   Yoshiyuki O. Takahashi, Yasuhiro MORIKAWA, Satoshi Noda
# Version::   $Id: Makefile,v 1.12 2014/06/29 07:21:02 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008-2010. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = timefilter_asselin1972.o timefilter_williams2009.o \
	auxiliary.o intavr_operate.o \
	rearrange_column.o \
	mass_fixer.o intg_surftemp.o check_prog_vars.o vertical_filter.o \
	mass_streamfunc.o

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

#=== rb2f90
